> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydoc/passport/version-1.md).

# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/passport/v1/verify`

#### Request Body

| Name          | Type   | Description                                                                                                                                                                      |
| ------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| caseNo        | string | Reference code given by user                                                                                                                                                     |
| apiKey        | string | To be assigned by Innov8tif                                                                                                                                                      |
| country       | string | <p>IND - India; <br>SGP - Singapore; <br>IDN - Indonesia; <br>BGD - Bangladesh; <br>MMR - Myanmar<br>NPL - Nepal;<br>PAK - Pakistan;<br>PHL - Philippines;<br>VNM - Vietnam </p> |
| halfSizeImage | string | Half-sized passport image in base64                                                                                                                                              |
| fullSizeImage | string | Full-sized passport image in base64                                                                                                                                              |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "landmarkCheckingList": [
        {
            "landmarkCode": "passport",
            "landmarkLabel": "Passport Landmark",
            "score": 99.89253878593445,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxx?type=passport"
        },
        {
            "landmarkCode": "type",
            "landmarkLabel": "Type Landmark",
            "score": 99.86854791641235,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxx?type=type"
        },
        {
            "landmarkCode": "countryCode",
            "landmarkLabel": "Country Code Landmark",
            "score": 99.84298348426819,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxx?type=countryCode"
        },
        {
            "landmarkCode": "passportNo",
            "landmarkLabel": "Passport Number Landmark",
            "score": 99.79193806648254,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxx?type=passportNo"
        },
        {
            "landmarkCode": "surname",
            "landmarkLabel": "Surname Landmark",
            "score": 99.85193610191345,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxx?type=surname"
        },
        {
            "landmarkCode": "givenName",
            "landmarkLabel": "Given Name Landmark",
            "score": 99.88807439804077,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxx?type=givenName"
        },
        {
            "landmarkCode": "nationality",
            "landmarkLabel": "Nationality Landmark",
            "score": 99.88081455230713,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxx?type=nationality"
        },
        {
            "landmarkCode": "dob",
            "landmarkLabel": "Date Of Birth Landmark",
            "score": 99.89277720451355,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxx?type=dob"
        },
        {
            "landmarkCode": "citizenship",
            "landmarkLabel": "Citizenship Number Landmark",
            "score": 99.89938735961914,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxx?type=citizenship"
        },
        {
            "landmarkCode": "sex",
            "landmarkLabel": "Sex Landmark",
            "score": 99.86341595649719,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxx?type=sex"
        },
        {
            "landmarkCode": "placeOfBirth",
            "landmarkLabel": "Place Of Birth Landmark",
            "score": 99.86541271209717,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxx?type=placeOfBirth"
        },
        {
            "landmarkCode": "fatherName",
            "landmarkLabel": "Father Name Landmark",
            "score": 99.87720251083374,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx?type=fatherName"
        },
        {
            "landmarkCode": "issueDate",
            "landmarkLabel": "Date Of Issue Landmark",
            "score": 99.89170432090759,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxxx?type=issueDate"
        },
        {
            "landmarkCode": "issueAuthority",
            "landmarkLabel": "Issuing Authority",
            "score": 99.8862624168396,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxx?type=issueAuthority"
        },
        {
            "landmarkCode": "expiryDate",
            "landmarkLabel": "Date Of Expiry Landmark",
            "score": 99.88948702812195,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxx?type=expiryDate"
        },
        {
            "landmarkCode": "trackigNo",
            "landmarkLabel": "Tracking Number Landmark",
            "score": 99.90541934967041,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxxx?type=trackigNo"
        },
        {
            "landmarkCode": "bookletNo",
            "landmarkLabel": "Booklet Number Landmark",
            "score": 99.87479448318481,
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxx?type=bookletNo"
        }
    ],
    "ocrRoiList": [
        {
            "ocrRoiCode": "roi-passportNoDot",
            "ocrRoiLabel": "Passport No (Dot)",
            "ocrValue": "",
            "imageUrl": ""
        },
        {
            "ocrRoiCode": "roi-passportName",
            "ocrRoiLabel": "Name",
            "ocrValue": "",
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxxx?type=roi-passportName"
        },
        {
            "ocrRoiCode": "roi-passportDob",
            "ocrRoiLabel": "DOB",
            "ocrValue": "",
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxxxxx?type=roi-passportDob"
        },
        {
            "ocrRoiCode": "roi-expiryDate",
            "ocrRoiLabel": "Expiry Date",
            "ocrValue": "",
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxx?type=roi-expiryDate"
        },
        {
            "ocrRoiCode": "roi-passportNoHalf",
            "ocrRoiLabel": "Passport No (Half)",
            "ocrValue": "",
            "imageUrl": "/public/passport/image/xxxxxxxxxxxxxxxxxxxxxx?type=roi-passportNoHalf"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% tabs %}
{% tab title="JSON" %}

```
{
    "apiKey": "apikey",
    "caseNo": "CASE 1",
    "country": "",
    "halfSizeImage": "",    
    "fullSizeImage": ""
}
```

{% endtab %}
{% endtabs %}

{% file src="/files/-Lup-BF1k-lYxJXTVSR\_" %}
OkayDoc Passport v1
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/passport/version-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
